Bug 854896 - RHEVM rpm should conflict with ipa-server and RHDS
RHEVM rpm should conflict with ipa-server and RHDS
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-setup (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Moran Goldboim
Haim
integration
:
: 814445 (view as bug list)
Depends On:
Blocks: 799709 814445
  Show dependency treegraph
 
Reported: 2012-09-06 04:56 EDT by Moran Goldboim
Modified: 2014-01-12 19:54 EST (History)
10 users (show)

See Also:
Fixed In Version: si23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 15:03:00 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Moran Goldboim 2012-09-06 04:56:20 EDT
Description of problem:
allowing ipa-server and rhds to be installed will result with ruining port redirection (if installed after) , or https://bugzilla.redhat.com/show_bug.cgi?id=814445 (engine-setup error) if done before.

upgrade from 3.0->3.1 will be blocked for the user until above components will be migrated from specific server.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 5 Itamar Heim 2012-10-02 08:18:21 EDT
*** Bug 814445 has been marked as a duplicate of this bug. ***
Comment 8 Alex Lourie 2012-10-22 12:42:55 EDT
Fix uploaded for review: https://gerrit.eng.lab.tlv.redhat.com/2795
Comment 11 Leonid Natapov 2012-11-18 08:02:18 EST
Fixed. si24.2

[root@jenkins-vm-08 yum.repos.d]# rhevm-upgrade
Loaded plugins: product-id
Info: RHEV Manager 3.0 to 3.1 upgrade detected
Checking pre-upgrade conditions...(This may take several minutes)
Error: IPA was found to be installed on this machine. RHEV Manager 3.1 does not support installing IPA on the same machine. Please remove ipa packages before you continue.
--------

[root@jenkins-vm-08 yum.repos.d]# rhevm-upgrade
Loaded plugins: product-id
Info: RHEV Manager 3.0 to 3.1 upgrade detected
Checking pre-upgrade conditions...(This may take several minutes)
Error: redhat-ds package was found to be installed on this machine. RHEV Manager 3.1 does not support installing RHDS on the same machine. Please remove redhat-ds package before you continue.

Note You need to log in before you can comment on or make changes to this bug.